using System;
using System.Diagnostics;
using UnityEngine;

namespace Cute;

public class DebugManager : MonoBehaviour
{
	public enum LOG_LEVEL
	{
		NORMAL,
		HIGH,
		VERY_HIGH,
		VERY_HIGH2,
		VERY_HIGH3,
		VERY_HIGH4
	}

	[Conditional("USE_DBGSYS")]
	public void Log(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void LogWarning(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void LogAppend(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void LogAppendWarning(string text)
	{
	}

	public void ClearLog()
	{
	}

	[Conditional("USE_DBGSYS")]
	public void TextLog(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void SoundLog(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void SoundLogWarning(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void SoundLogAppend(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void SoundLogAppendWarning(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void ClearSoundLog()
	{
	}

	[Conditional("USE_DBGSYS")]
	public void BattleLogAppend(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void BattleLogAppendWarning(string text)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void ClearBattleLog()
	{
	}

	[Conditional("USE_DBGSYS")]
	public void Log(object log, LOG_LEVEL level)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void LogError(object log)
	{
	}

	[Conditional("USE_DBGSYS")]
	public void LogException(Exception e)
	{
	}
}
